Bug 862274 - aeolus-configure fails on a freshly installed f17
aeolus-configure fails on a freshly installed f17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-configure (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
: 862202 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 10:10 EDT by Giulio Fidente
Modified: 2013-07-10 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 09:48:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aeolus-configure log file (24.99 KB, text/x-log)
2012-10-02 10:10 EDT, Giulio Fidente
no flags Details
Relevant log files from the original reporter's system (50.05 KB, application/x-bzip2)
2012-10-02 19:23 EDT, Justin Clift
no flags Details

  None (edit)
Description Giulio Fidente 2012-10-02 10:10:04 EDT
Created attachment 620285 [details]
aeolus-configure log file

Description of problem:
aeolus-configure -p rhevm,ec2 fails on fedora17, see the log attached


Version-Release number of selected component (if applicable):
aeolus-conductor-0.10.4-1.fc17.noarch
rubygem-aeolus-cli-0.5.0-1.fc17.noarch
aeolus-conductor-daemons-0.10.4-1.fc17.noarch
aeolus-all-0.10.4-1.fc17.noarch
rubygem-aeolus-image-0.5.0-1.fc17.noarch
aeolus-conductor-doc-0.10.4-1.fc17.noarch
aeolus-configure-2.6.1-1.fc17.noarch


Steps to Reproduce:
1. install fedora17
2. update fedora
3. yum install aeolus-all
4. aeolus-configure -p rhevm,ec2

  
Actual results:
configuration fails, conductor isn't started
Comment 1 Giulio Fidente 2012-10-02 10:11:23 EDT
*** Bug 862202 has been marked as a duplicate of this bug. ***
Comment 2 Justin Clift 2012-10-02 11:22:57 EDT
Looking at the attached log file, the first indicator of a problem is this line:

  2012-10-02 05:16:35 -0400 /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure (err): change from stopped to running failed: Could not start Service[aeolus-conductor]: Execution of '/sbin/service aeolus-conductor start' returned 1:  at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor.pp:75

That doesn't seem to include much useful information about why it failed though.

When you have a chance, can you please attach the files from these locations too:

  /var/log/aeolus-conductor/
  /var/log/aeolus-configure/
  /var/log/deltacloud-core/

It's probably not a bad idea to see if there's anything useful in /var/log/messages, and /var/log/audit/ too.  (feel free to attach them here, if you're sure there's no sensitive info in them)
Comment 3 Justin Clift 2012-10-02 19:20:04 EDT
As a data point, I've logged in to Giulio's system and a few items stand out:

 + Although deltacloud-core is running (according to systemctl, and ps -ef), the /var/log/deltacloud-core/ directory is empty.  Prob a separate issue, but it doesn't help. :/

 + The aeolus-configure log file doesn't seem to have any more info than what Giulio attached above.

 + The dbomatic.log in aeolus-conductor log dir shows a permission denied error.  Entries in the audit log seem to indicate similar (haven't checked for exact match up):

   $ grep -i rails audit/*
   type=AVC msg=audit(1349217185.273:194): avc:  denied  { open } for  pid=13944 comm="dbomatic" path="/var/log/aeolus-conductor/rails.log" dev="dm-1" ino=2885972 scontext=system_u:system_r:mongod_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file
   type=AVC msg=audit(1349217185.667:195): avc:  denied  { open } for  pid=14004 comm="thin" path="/var/log/aeolus-conductor/rails.log" dev="dm-1" ino=2885972 scontext=system_u:system_r:thin_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file
   type=AVC msg=audit(1349217370.485:203): avc:  denied  { open } for  pid=14994 comm="thin" path="/var/log/aeolus-conductor/rails.log" dev="dm-1" ino=2885972 scontext=system_u:system_r:thin_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file

I'll tar.bz up the relevant log files and attach them to this issue, for whoever wants to investigate this properly.
Comment 4 Justin Clift 2012-10-02 19:23:35 EDT
Created attachment 620560 [details]
Relevant log files from the original reporter's system
Comment 5 Fedora End Of Life 2013-07-03 21:09:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Mo Morsi 2013-07-10 09:48:17 EDT
aeolus-configure has since been discontinued. Closing

Note You need to log in before you can comment on or make changes to this bug.